> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/automation-studio/update-template/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Replace a template document PUT https://example.itential.io/automation-studio/templates/{id} Content-Type: application/json Replaces a template document. Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/update-template ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `id` (string, required) — Template id. ### Body (application/json) This endpoint expects an object. - `update` (object, optional) — An entity representing an update to an existing template document. - `name` (string, required) - `group` (string, required) - `command` (string, required) - `description` (string, required) - `template` (string, required) - `data` (string, required) - `type` (enum, required) - Allowed values: `textfsm`, `jinja2` - `projectId` (string, optional, nullable) ## Response ### 200 Response object. - `updated` (object, required) — An entity representing a data template. - `name` (string, required) - `group` (string, required) - `command` (string, required) - `description` (string, required) - `template` (string, required) - `data` (string, required) - `type` (enum, required) - Allowed values: `textfsm`, `jinja2` - `_id` (string, optional) — Unique identifier of the automation - `namespace` (object, optional) - `type` (any, required) - `_id` (object, required) — A MongoDB ObjectId - `name` (string, required) - `createdBy` (string, optional) — Unique identifier of the automation - `created` (string, optional) - `lastUpdatedBy` (string, optional) — Unique identifier of the automation - `lastUpdated` (string, optional) - `version` (double, optional) - `tags` (list of object, optional) - `_id` (string, optional) — Unique identifier of the automation - `name` (string, optional) — user-given, unique string to ID tag - `edit` (string, required) — URI to the edit page for the updated template. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "updated": { "name": "arista_eos_show_clock", "group": "Arista", "command": "show clock", "description": "Arista Show Clock Info", "template": "Value TIME (d+:d+:d+)\nValue TIMEZONE (S+)\nValue DAYWEEK (w+)\nValue MONTH (w+)\nValue DAY (d+)\nValue YEAR (d+)\n\nStart\n ^${DAYWEEK}s+${MONTH}s+${DAY}s+${TIME}s+${YEAR}\n ^[t|T]imezone(:|sis)s+${TIMEZONE} -> Record\n", "data": "Mon Jan 14 18:42:49 2013\ntimezone is US/Central", "type": "textfsm", "_id": "string", "namespace": { "type": null, "_id": {}, "name": "Juniper JUNOS" }, "createdBy": "string", "created": "2019-11-25T22:51:39.201Z", "lastUpdatedBy": "string", "lastUpdated": "2019-11-25T22:51:39.201Z", "version": 1, "tags": [ { "_id": "string", "name": "string" } ] }, "edit": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/automation-studio/templates/id" payload = {} headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/automation-studio/templates/id'; const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/automation-studio/templates/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/automation-studio/templates/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://example.itential.io/automation-studio/templates/id") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://example.itential.io/automation-studio/templates/id', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/automation-studio/templates/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/templates/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```